Skip to content
Start here

Get Pipeline Details

client.Pipelines.GetV1(ctx, pipelineID, query) (*PipelineGetV1Response, error)
GET/accounts/{account_id}/pipelines/v1/pipelines/{pipeline_id}

Get Pipelines Details.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Pipelines WritePipelines Read
ParametersExpand Collapse
pipelineID string

Specifies the public ID of the pipeline.

maxLength32
minLength32
query PipelineGetV1Params
AccountID param.Field[string]

Specifies the public ID of the account.

ReturnsExpand Collapse
type PipelineGetV1Response struct{…}
ID string

Indicates a unique identifier for this pipeline.

CreatedAt string
ModifiedAt string
Name string

Indicates the name of the Pipeline.

maxLength128
minLength1
Sql string

Specifies SQL for the Pipeline processing flow.

Status string

Indicates the current status of the Pipeline.

Tables []PipelineGetV1ResponseTable

List of streams and sinks used by this pipeline.

ID string

Unique identifier for the connection (stream or sink).

Latest int64

Latest available version of the connection.

Name string

Name of the connection.

maxLength128
minLength1
Type PipelineGetV1ResponseTablesType

Type of the connection.

One of the following:
const PipelineGetV1ResponseTablesTypeStream PipelineGetV1ResponseTablesType = "stream"
const PipelineGetV1ResponseTablesTypeSink PipelineGetV1ResponseTablesType = "sink"
Version int64

Current version of the connection used by this pipeline.

FailureReason stringoptional

Indicates the reason for the failure of the Pipeline.

Get Pipeline Details

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/pipelines"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.Pipelines.GetV1(
    context.TODO(),
    "043e105f4ecef8ad9ca31a8372d0c353",
    pipelines.PipelineGetV1Params{
      AccountID: cloudflare.F("0123105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.ID)
}
{
  "result": {
    "id": "01234567890123457689012345678901",
    "created_at": "created_at",
    "modified_at": "modified_at",
    "name": "my_pipeline",
    "sql": "insert into sink select * from source;",
    "status": "status",
    "tables": [
      {
        "id": "1c9200d5872c018bb34e93e2cd8a438e",
        "latest": 5,
        "name": "my_table",
        "type": "stream",
        "version": 4
      }
    ],
    "failure_reason": "failure_reason"
  },
  "success": true
}
Returns Examples
{
  "result": {
    "id": "01234567890123457689012345678901",
    "created_at": "created_at",
    "modified_at": "modified_at",
    "name": "my_pipeline",
    "sql": "insert into sink select * from source;",
    "status": "status",
    "tables": [
      {
        "id": "1c9200d5872c018bb34e93e2cd8a438e",
        "latest": 5,
        "name": "my_table",
        "type": "stream",
        "version": 4
      }
    ],
    "failure_reason": "failure_reason"
  },
  "success": true
}